文章内容

2020/2/5 11:05:36,作 者: 黄兵

ImportError: this is MySQLdb version (1, 4, 4, 'final', 0), but _mysql is version (1, 4, 6, 'final', 0)

最近升级了python 项目中的requirements.txt文件之后,项目出现了如下错误:

ImportError: this is MySQLdb version (1, 4, 4, 'final', 0), but _mysql is version (1, 4, 6, 'final', 0)


出现这个问题的主要原因:

由于升级项目导致有些依赖包文件出现错误,需要修改项目依赖包文件。


解决方案:

首先查看了一下requirements.txt文件:

mysqlclient==1.4.6

是1.4.6版本,需要修改成1.4.4版本。

mysqlclient==1.4.4

之后重新启动项目,问题解决。


黄兵个人博客原创。

转载请注明出处:黄兵个人博客 - ImportError: this is MySQLdb version (1, 4, 4, 'final', 0), but _mysql is version (1, 4, 6, 'final', 0)

分享到:

发表评论

评论列表

user-ico

Seravant on 回复 有用(0

为什么通知没有输入号码18866674210